## ros-iron-executive-smach 3.0.3

=== debian/changelog ===
ros-iron-executive-smach (3.0.3-1jammy) jammy; urgency=high

  * Fix: Buildfarm issue https://github.com/ros/executive_smach/issues/111

 -- Isaac Saito <iisaac.saito@gmail.com>  Fri, 14 Jul 2023 04:00:00 -0000

ros-iron-executive-smach (3.0.2-1jammy) jammy; urgency=high

  * Fix #92 <https://github.com/ros/executive_smach/issues/92>

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 29 Jun 2023 04:00:00 -0000

ros-iron-executive-smach (3.0.1-1jammy) jammy; urgency=high

  * Add license file.

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 12 Jun 2023 04:00:00 -0000

ros-iron-executive-smach (3.0.0-1jammy) jammy; urgency=high

  * ROS2-ified. #101 <https://github.com/ros/executive_smach/issues/101>

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 12 Jun 2023 04:00:00 -0000

ros-iron-executive-smach (2.5.1-1jammy) jammy; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 05:00:00 -0000

ros-iron-executive-smach (2.5.0-1jammy) jammy; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-iron-executive-smach (2.0.1-1jammy) jammy; urgency=high

  * [fix] SimpleActionState will wait forever for a missing ActionServer #41 <https://github.com/ros/executive_smach/pull/41>
  * [fix] monitor state callback args and adding unit test for monitor state that modifies userdata
  * [improve] Specify queue sizes for introspection publishers #31 <https://github.com/ros/executive_smach/pull/31>
  * [improve] make ServiceState more robust to termination while waiting for service #32 <https://github.com/ros/executive_smach/pull/32>
  * [build] make rostest in CMakeLists optional #45 <https://github.com/ros/executive_smach/pull/45>
  * change MonitorState and document its behavior
  * increment n_checks only *after* checking
    otherwise, setting max_checks=1 results in a MonitorState that returns the 'valid' outcome for any message
  * [test] adding test for actionlib timeout
  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren, Loy, Lukas Bulwahn, Nils Berg, contradict

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 04:00:00 -0000

ros-iron-executive-smach (2.0.0-1jammy) jammy; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 04:00:00 -0000

ros-iron-executive-smach (1.3.1-1jammy) jammy; urgency=high

  * adding changelogs

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 04:00:00 -0000
